API Reference

Catalog

Call GET /catalog on the Corpus API.

GET /catalog

Call GET /catalog on the Corpus API.

Category: Catalog

Authentication

This operation does not require authentication.

Request

This operation has no path, query, header, or cookie parameters.

Example request

curl --request GET \
  --url 'https://corpus-api.onera.app/catalog'

Responses

StatusDescriptionContent typeSchema
200Successful Responseapplication/jsonCatalogResponse

Representative 200 response

{
  "jurisdictions": [
    {
      "id": "US",
      "name": "string",
      "base_path": "string",
      "datasets": [
        {
          "id": "string",
          "path": "string",
          "methods": [
            "GET"
          ],
          "scopes": [
            "string"
          ],
          "any_of_scopes": [
            "string"
          ]
        }
      ]
    }
  ],
  "shared": [
    {
      "id": "string",
      "path": "string",
      "methods": [
        "GET"
      ],
      "scopes": [
        "string"
      ],
      "any_of_scopes": [
        "string"
      ]
    }
  ],
  "permissions": [
    "string"
  ]
}